package com.ruoyi.pay.service;

import com.ruoyi.pay.domain.PaySalaryReport;
import com.ruoyi.pay.domain.vo.PaySalaryReportVo;
import com.ruoyi.pay.domain.bo.PaySalaryReportBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 工资明细总Service接口
 *
 * @author ruoyi
 * @date 2025-05-12
 */
public interface IPaySalaryReportService {

    /**
     * 查询工资明细总
     */
    PaySalaryReportVo queryById(Long id);

    /**
     * 查询工资明细总列表
     */
    TableDataInfo<PaySalaryReportVo> queryPageList(PaySalaryReportBo bo, PageQuery pageQuery);

    /**
     * 查询工资明细总列表
     */
    List<PaySalaryReportVo> queryList(PaySalaryReportBo bo);

    /**
     * 新增工资明细总
     */
    Boolean insertByBo(PaySalaryReportBo bo);

    /**
     * 修改工资明细总
     */
    Boolean updateByBo(PaySalaryReportBo bo);

    Boolean updateByBo2(PaySalaryReport entity);

    /**
     * 校验并批量删除工资明细总信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);


    TableDataInfo<PaySalaryReportVo> queryLastMonthReport(Long tenantId, PageQuery pageQuery);
}
